<div class="container-fluid uplateTable">
  <ngb-alert type="success" *ngIf="uplataIzvrsena" (close)="uplataIzvrsena = false"><h3>Uplata uspesno izvrsena</h3></ngb-alert>
  <ngb-alert type="danger" *ngIf="greskaUplata" (close)="greskaUplata = false"><h3>Greska u izvrsavanju uplate</h3></ngb-alert>
  <div class="row mb-3">
    
    <button class="btn btn-success" (click)="open(content)">Izvrsi Uplatu</button>
  </div>
  <div class="row">
    <table class="table table-hover">
      <thead class="bg-info text-light" *ngIf="uplate.length != 0; else emptyList">
        <tr>
          <th>Datum</th>
          <th>Iznos</th>
          <th>Svrha</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let uplata of uplate">
          <td>{{uplata.datumUplate | date: 'dd. MMMM yyyy'}} </td>
          <td>{{uplata.iznos}}</td>
          <td>{{uplata.svrhaUplate}}</td>
        </tr>
      </tbody>
    </table>
    
  </div>

  <div class="row" *ngIf="uplate.length != 0"> 
    <label class="col-1" for="itemsPerPage">
      <b>Items per page:</b>
    </label>
    <select class="input-control" class="col-1" [(ngModel)]="size" name="itemsPerPage" (change)="onSelectChange()" value=5>
      <option [ngValue]="3">3</option>
      <option [ngValue]="5">5</option>
      <option [ngValue]="10">10</option>
    </select>
  </div>
  <ngb-pagination class="d-flex justify-content-start" [collectionSize]="total" [pageSize]="size" [(page)]="page" [maxSize]=7
    (pageChange)="onPageChange($event)"></ngb-pagination>

</div>


<ng-template #emptyList>
  <div class="jumbotron bg-warning">
    <h2>Nema uplata</h2>
  </div>
</ng-template>


<ng-template #content let-c="close" let-d="dismiss">
  <div class="modal-header">
    <h4 class="modal-title" id="modal-basic-title">Nova Uplata</h4>
    <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <form #uplataForm="ngForm">
      <div class="form-group">
        <label for="iznos">
          <b>Iznos</b>
        </label>
        <input type="number" class="form-control" placeholder="Iznos" name="iznos" [(ngModel)]="uplataPost.iznos" required #iznos="ngModel">
        <p class="text-danger" *ngIf="iznos.invalid && (iznos.dirty || iznos.touched)">Polje ne sme biti prazno</p>
        <label for="svrhaUplate">
          <b>Svrha uplate</b>
        </label>
        <input type="text" class="form-control" placeholder="Svrha uplate" name="svrha" [(ngModel)]="uplataPost.svrhaUplate">

      </div>
    </form>
  </div>
  <div class="modal-footer">
    <div class="row">
      <div class="col-6">
        <button type="button" class="btn btn-success" (click)="uplataAdd();c()" [disabled]="uplataForm.invalid">Izvrsi Uplatu</button>
      </div>
      <div class="col-6">
        <button type="button" class="btn btn-default" (click)="c()">Cancel</button>
      </div>
    </div>

  </div>
</ng-template>